[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.AddImages

Adds images from another image list to the current class instance.

## Declaration

Source position: imglist.pp line 349

`public procedure TCustomImageList.AddImages(`
`AValue: TCustomImageList`
`);`

## Arguments

`AValue` |  | The image list with the source images to add in the method.

## Description

AddImages is a procedure used to add images from the image list in AValue to the current class instance. No actions are performed in the method when any of the following conditions are encountered:

- AValue is unassigned (contains Nil)
- AValue and the current class are the same class instance
- AValue has a Count property that contains 0 (zero)

AddImages uses the ResolutionsDesc enumerator in AValue to process images resolutions stored in the source image list. AddImages assumes that the first Resolution in the descending enumerator contains the largest image sizes.

For this resolution, all images are copied and added to the current class instance using their TBitmap image data. For the remaining resolutions (if any), the TCustomImageListResolutions.Find method is used to locate the resolution in the current class with compatible images (similar width and height values) as the resolution in AValue. Each of the source images for the resolution are stored in the current class instance using their raw image data.